# Issuing Embossing Kit

The Issuing Embossing Kit resource represents a kit used for embossing physical cards.

Each kit defines the card design and packaging used during the card personalization process.

### The Issuing Embossing Kit object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the issuing embossing kit. |
| `name` | STRING | Name of the embossing kit. |
| `designs` | LIST OF OBJECTS | List of objects referencing the designs that compose the kit. Each object contains the design id. Example: [{"id": "6284441486065664"}]. |
| `created` | STRING | Creation datetime. Example: "2022-01-01T00:00:00.000000+00:00". |
| `updated` | STRING | Last update datetime. Example: "2022-01-01T00:00:00.000000+00:00". |

### List Issuing Embossing Kits

`GET /v2/issuing-embossing-kit`

Get a list of available issuing embossing kits for your workspace.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `cursor` | OPTIONAL | String used to get the next batch of results. Our SDKs handle this for you. |
| `after` | OPTIONAL | Filter entities created after this date. Example: "2022-01-20". |
| `before` | OPTIONAL | Filter entities created before this date. Example: "2022-02-20". |
| `designIds` | OPTIONAL | Filter by IssuingDesign ids. |
| `ids` | OPTIONAL | List of strings to get specific entities by ids. |

**Request**

```python
import starkinfra

kits = starkinfra.issuingembossingkit.query(limit=10)

for kit in kits:
    print(kit)
```

**Response**

```python
IssuingEmbossingKit(
    id=5715709195239424,
    name=Standard Kit,
    designs=[
        IssuingDesign(
            id=6284441486065664,
            name=None,
            embosser_ids=None,
            type=None,
            created=None,
            updated=None
        ),
        IssuingDesign(
            id=6284441486065665,
            name=None,
            embosser_ids=None,
            type=None,
            created=None,
            updated=None
        )
    ],
    created=2022-01-01 00:00:00,
    updated=2022-01-01 00:00:00
)
```

### Get an Issuing Embossing Kit

`GET /v2/issuing-embossing-kit/:id`

Get a single issuing embossing kit by its id.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `id` | REQUIRED | Id of the issuing embossing kit entity. |

**Request**

```python
import starkinfra

kit = starkinfra.issuingembossingkit.get("5715709195239424")

print(kit)
```

**Response**

```python
IssuingEmbossingKit(
    id=5715709195239424,
    name=Standard Kit,
    designs=[
        IssuingDesign(
            id=6284441486065664,
            name=None,
            embosser_ids=None,
            type=None,
            created=None,
            updated=None
        ),
        IssuingDesign(
            id=6284441486065665,
            name=None,
            embosser_ids=None,
            type=None,
            created=None,
            updated=None
        )
    ],
    created=2022-01-01 00:00:00,
    updated=2022-01-01 00:00:00
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-embossing-kit-curl.md)
